## ispack 0.5

=== Makefile ===
#
#       Makefile for ispack
#

include Mkinclude

all:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  echo "Making $$i/src" ; \
	  $(MAKE) ; \
	  cd ../.. ; \
	done

static: all
	$(AR) $(ARFLAGS) $(STATICLIB) */src/*.o
	$(RANLIB) $(STATICLIB)

shared: all
	$(CC) $(CFLAGS) -o $(SHAREDLIB) */src/*.o

src:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  $(MAKE) src ; \
	  cd ../.. ; \
	done

pack: src
	@for i in $(DIRS) ; do \
	  echo "Packing $$i/src" ; \
	  $(CAT) $$i/src/*.f >> $(PACKFILE) ; \
	done

clean:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  echo "Cleaning $$i/src" ; \
	  $(MAKE) clean ; \
	  cd ../.. ; \
	done

veryclean: clean
	echo "Cleaning lib"
	$(RM) $(STATICLIB)
	$(RM) $(SHAREDLIB)
	$(RM) $(PACKFILE)
	$(RM) *~
	$(RM) */*~
	$(RM) */*/*~
	$(RM) */*/*.dat
	$(RM) */*/*.out	
	$(RM) */doc/*.dvi
	$(RM) */doc/*.log	
	$(RM) */doc/*.aux		

release:
	@r=ispack-`cat VERSION`;\
	  echo "Making release $$r";\
	  rsync -av . ../$$r/ --exclude /test --delete ;\
 	  cd ../$$r; make veryclean;\
	  cd ..; tar czf $$r.tar.gz $$r

## ispack 0.51-1

=== debian/changelog ===
ispack (0.51-1) unstable; urgency=low

  * n2pack and p2pack bug fix.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 20 Feb 2002 16:36:49 +0900

ispack (0.5-2) unstable; urgency=low

  * Documents and sample programs are separeted as a different package. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 21 Nov 2001 00:13:12 +0900

ispack (0.5-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 15:50:58 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ispack
Section: math
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.1.1

Package: ispack-ifc
Architecture: any
Depends: ${shlibs:Depends}
Description: ISPACK FORTRAN subroutine library for scientific computing.
 This package is built with Intel Fortran for Linux. 
 Please visit http://www.gfd-dennou.org/ (in Japanese). 

Package: ispack-doc
Architecture: all
Description: Documents and sample programs for ISPACK FORTRAN subroutine library. 
 This package containes manual and sample programs of ISPACK library. 
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese).

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

#EXT=g77
#EXT=ifc
EXT=ffc

package=ispack-$(EXT)
docpackage=ispack-doc

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

build:
	$(checkdir)
	cp debian/control.$(EXT) debian/control
	cp debian/Mkinclude.$(EXT) Mkinclude
	$(MAKE)
	touch build

clean:
	$(checkdir)
	dh_clean
	-rm -f build
	-$(MAKE) veryclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core
	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)
	install -d debian/tmp-doc/usr/share/doc/ispack-doc/manual
	cp `ls *pack/doc/*.tex` debian/tmp-doc/usr/share/doc/ispack-doc/manual/
	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc sample \
		CHANGELOG README TODO COPYRIGHT LGPL VERSION \
		debian/changelog debian/README.debian
	dh_installdeb -p$(docpackage) -Pdebian/tmp-doc
	dpkg-gencontrol -isp -p$(docpackage) -Pdebian/tmp-doc
	chown -R root.root debian/tmp-doc
	chmod -R go=rX debian/tmp-doc
	dpkg --build debian/tmp-doc ..


binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) shared
	$(MAKE) static
	dh_installdocs -p$(package) -Pdebian/tmp \
	        CHANGELOG README TODO COPYRIGHT LGPL VERSION debian/changelog
	dh_strip -p$(package) -Pdebian/tmp
	dh_compress -p$(package) -Pdebian/tmp
	dh_fixperms -p$(package) -Pdebian/tmp
	dh_installdeb -p$(package) -Pdebian/tmp
	dpkg-gencontrol -isp -p$(package) -Pdebian/tmp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## ispack 0.52beta-1

=== bspack/src/Makefile ===
OBJS = bsdmsg.o bsset0.o bscopy.o
include ../../Mkinclude.sub

=== debian/changelog ===
ispack (0.52beta-1) unstable; urgency=low

  * p3pack is added.
  * Intel Fortran ver.6 support.

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Sun,  5 May 2002 18:15:00 +0900

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
 Standards-Version: 3.1.1
 
-Package: ispack-ifc
+Package: ispack-ifc6
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: ISPACK FORTRAN subroutine library for scientific computing.
- This package is built with Intel Fortran for Linux. 
+ This package is built with Intel Fortran for Linux ver.6. 
  Please visit http://www.gfd-dennou.org/ (in Japanese). 
 
 Package: ispack-doc

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
 
-#EXT=g77
+EXT=g77
 #EXT=ifc
-EXT=ffc
+#EXT=ifc6
+#EXT=ffc
 
 package=ispack-$(EXT)
 docpackage=ispack-doc

## ispack 0.60-1

=== debian/changelog ===
ispack (0.60-1) unstable; urgency=low

  * p3pack-mpi is added. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri, 10 May 2002 22:07:23 +0900

=== debian/control ===
Source: ispack
Section: math
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.1.1

Package: ispack-ifc6
Architecture: any
Depends: ${shlibs:Depends}
Suggests: ifc
Description: ISPACK FORTRAN subroutine library for scientific computing (without p3pack-mpi).
 This package is built with Intel Fortran for Linux ver.6. 
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese). 

Package: ispack-doc
Architecture: all
Description: Documents and sample programs for ISPACK FORTRAN subroutine library. 
 This package contains manual and sample programs of ISPACK library. 
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese).

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
 
-EXT=g77
+#EXT=g77
 #EXT=ifc
 #EXT=ifc6
-#EXT=ffc
+EXT=ffc
 
 package=ispack-$(EXT)
 docpackage=ispack-doc
@@ -34,8 +34,9 @@
 	install -d debian/tmp-doc/usr/share/doc/ispack-doc/manual
 	cp `ls *pack/doc/*.tex` debian/tmp-doc/usr/share/doc/ispack-doc/manual/
 	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc sample \
-		CHANGELOG README TODO COPYRIGHT LGPL VERSION \
-		debian/changelog debian/README.debian
+		README TODO COPYRIGHT LGPL VERSION debian/README.debian
+	dh_installchangelogs -p$(docpackage) -Pdebian/tmp-doc CHANGELOG 
+	dh_compress -p$(package) -Pdebian/tmp-doc
 	dh_installdeb -p$(docpackage) -Pdebian/tmp-doc
 	dpkg-gencontrol -isp -p$(docpackage) -Pdebian/tmp-doc
 	chown -R root.root debian/tmp-doc
@@ -51,7 +52,8 @@
 	$(MAKE) shared
 	$(MAKE) static
 	dh_installdocs -p$(package) -Pdebian/tmp \
-	        CHANGELOG README TODO COPYRIGHT LGPL VERSION debian/changelog
+	        README TODO COPYRIGHT LGPL VERSION 
+	dh_installchangelogs CHANGELOG 
 	dh_strip -p$(package) -Pdebian/tmp
 	dh_compress -p$(package) -Pdebian/tmp
 	dh_fixperms -p$(package) -Pdebian/tmp

## ispack 0.60-2

=== debian/changelog ===
ispack (0.60-2) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 22:51:07 +0900
	
  * Fujitsu fortran compiler ver.4 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  8 Jan 2004 16:04:18 +0900	
  * Intel Fortran Compiler ver.7 support.
  * New package for Fujitsu fortran compiler ver.3 added.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  8 Jan 2003 00:03:16 +0900

=== debian/control ===
Source: ispack
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Standards-Version: 3.1.1

Package: ispack-ffc4
Architecture: any
Depends: ${shlibs:Depends}
Description: ISPACK FORTRAN subroutine library for scientific computing (without p3pack-mpi).
 This package is built with Fujitsu Fortran&C compiler ver.4.
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese).

Package: ispack-doc
Architecture: all
Description: Documents and sample programs for ISPACK FORTRAN subroutine library. 
 This package contains manual and sample programs of ISPACK library. 
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese).

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,12 @@
 #EXT=g77
 #EXT=ifc
 #EXT=ifc6
-EXT=ffc
+#EXT=ifc7
+#EXT=ifc7.1
+EXT=ifc8
+#EXT=ffc
+#EXT=ffc3
+#EXT=ffc4
 
 package=ispack-$(EXT)
 docpackage=ispack-doc

## ispack 0.60-3

=== debian/changelog ===
ispack (0.60-3) unstable; urgency=low

  * Intel FOrtran Compiler ver.8 (8.0.039) support. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Sun, 21 Mar 2004 11:19:48 +0900

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,11 @@
 #EXT=ifc6
 #EXT=ifc7
 #EXT=ifc7.1
-EXT=ifc8
+#EXT=ifc8
 #EXT=ffc
 #EXT=ffc3
 #EXT=ffc4
+EXT=ffc5
 
 package=ispack-$(EXT)
 docpackage=ispack-doc

## ispack 0.60-4

=== debian/changelog ===
ispack (0.60-4) unstable; urgency=low

  * The ispack-doc package provides PDF Manuals.      

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon,  7 Mar 2005 15:56:58 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
 Standards-Version: 3.1.1
 
-Package: ispack-ffc4
+Package: ispack-ffc5
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: ISPACK FORTRAN subroutine library for scientific computing (without p3pack-mpi).

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
+
+include Mkinclude
 
 #EXT=g77
 #EXT=ifc
@@ -37,12 +39,22 @@
 
 binary-indep: checkroot build
 	$(checkdir)
+	install -d debian/tmp-doc/usr/share/doc/ispack-doc/tex
 	install -d debian/tmp-doc/usr/share/doc/ispack-doc/manual
-	cp `ls *pack/doc/*.tex` debian/tmp-doc/usr/share/doc/ispack-doc/manual/
+	for i in $(DIRS) ; do \
+	   cd $$i/doc ; \
+	   if [ -f $$i.tex ]; then \
+	      cp $$i.tex ../../debian/tmp-doc/usr/share/doc/ispack-doc/tex/ ; \
+	      platex $$i.tex ; dvipdfm $$i.dvi ; \
+	      rm $$i.aux $$i.log $$i.dvi ; \
+	      mv $$i.pdf ../../debian/tmp-doc/usr/share/doc/ispack-doc/manual/ ;\
+	   fi ; \
+	   cd ../.. ; \
+	done
 	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc sample \
 		README TODO COPYRIGHT LGPL VERSION debian/README.debian
 	dh_installchangelogs -p$(docpackage) -Pdebian/tmp-doc CHANGELOG 
-	dh_compress -p$(package) -Pdebian/tmp-doc
+	dh_compress -X.pdf -X.tex -X.f -p$(package) -Pdebian/tmp-doc
 	dh_installdeb -p$(docpackage) -Pdebian/tmp-doc
 	dpkg-gencontrol -isp -p$(docpackage) -Pdebian/tmp-doc
 	chown -R root.root debian/tmp-doc

## ispack 0.61-1

=== snpack/src/Makefile ===
OBJS = sngaus.o sninit.o snkini.o snt.o snnm2l.o
TMPSRC = snt.f
include ../../Mkinclude.sub

=== debian/changelog ===
ispack (0.61-1) unstable; urgency=low

  * snpack-mpi sppack-mpi sopack-mpi are added.
  * Intel Fortran Compiler ver.8.1 support. 

 -- MASUO Nakano <masuo@geo.kyushu-u.ac.jp>  Wed,  4 May 2005 02:06:50 +0900

=== debian/control ===
Source: ispack
Section: math
Priority: optional
Maintainer: MASUO Nakano <masuo@geo.kyushu-u.ac.jp>
Standards-Version: 3.1.1

Package: ispack-ifc8.1
Architecture: i386
Depends: ${shlibs:Depends}
Suggests: ifc
Description: ISPACK FORTRAN subroutine library for scientific computing (without p3pack-mpi snpack-mpi sppack-mpi sopack-mpi).
 This package is built with Intel Fortran for Linux ver.8.1.
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese). 

Package: ispack-doc
Architecture: all
Description: Documents and sample programs for ISPACK FORTRAN subroutine library. 
 This package contains manual and sample programs of ISPACK library. 
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese).

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,11 @@
 #EXT=ifc7
 #EXT=ifc7.1
 #EXT=ifc8
+EXT=ifc8.1
 #EXT=ffc
 #EXT=ffc3
 #EXT=ffc4
-EXT=ffc5
+#EXT=ffc5
 
 package=ispack-$(EXT)
 docpackage=ispack-doc
@@ -45,7 +46,7 @@
 	   cd $$i/doc ; \
 	   if [ -f $$i.tex ]; then \
 	      cp $$i.tex ../../debian/tmp-doc/usr/share/doc/ispack-doc/tex/ ; \
-	      platex $$i.tex ; dvipdfm $$i.dvi ; \
+	      platex $$i.tex ; dvipdfmx $$i.dvi ; \
 	      rm $$i.aux $$i.log $$i.dvi ; \
 	      mv $$i.pdf ../../debian/tmp-doc/usr/share/doc/ispack-doc/manual/ ;\
 	   fi ; \

## ispack 0.92

=== debian/changelog ===
ispack (0.92-2) unstable; urgency=low

  * change copyright: upstream license is LGPL-2

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 16 May 2010 12:02:50 +0900

ispack (0.92-1) unstable; urgency=low

  * Imported Upstream version 0.92

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 16 May 2010 12:02:06 +0900

ispack (0.91-1) unstable; urgency=low

  * Imported Upstream version 0.91
  * Bump Standard Version: 3.8.4
  * Change source format: 3.0 (quilt)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 01 Mar 2010 14:53:30 +0900

ispack (0.90-5) unstable; urgency=low

  * remove variables OMPI_FC in patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 18 Feb 2010 23:00:26 +0900

ispack (0.90-4) unstable; urgency=low

  * add .fftj/Makefile patch 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 05 Jan 2010 22:02:42 +0900

ispack (0.90-3) unstable; urgency=low

  * set OMPI_FC
    - resolv openmpi bug

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 29 Dec 2009 00:28:36 +0900

ispack (0.90-2) unstable; urgency=low

  * Modified debian/rules
  * Using quilt for handling multi arch, change make target.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 28 Dec 2009 21:17:14 +0900

ispack (0.90-1) unstable; urgency=low

  * New Upstream Version
  * Remove Shared library Package: libispack0
    - provide static library only

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 23 Aug 2009 14:19:33 +0900

ispack (0.82-1) unstable; urgency=low

  * New Upstream Version

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 31 Jul 2009 17:09:20 +0900

ispack (0.81-1) unstable; urgency=low

  * New upstream
  * Separate Package: libispack0, libispack-dev
  * Change libname: libisp.a -> llibispack.a

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 22 Jun 2009 00:37:00 +0900

ispack (0.71-1) unstable; urgency=low

  * Initial Release

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 16 Oct 2007 18:31:47 +0900

=== debian/control ===
Source: ispack
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), gfortran, libopenmpi-dev, quilt
Standards-Version: 3.8.4
Homepage: http://www.gfd-dennou.org/arch/ispack/
  
Package: libispack-dev
Section: libdevel
Replaces: ispack (<= 0.71)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Suggests: gfortran, libopenmpi-dev
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 This package provides static library. 
  
Package: ispack-doc
Section: doc
Replaces: ispack (<= 0.71)
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends} 
Suggests: libispack-dev
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 This package provides document files(dvi, pdf), written in Japanese.

Package: ispack
Conflicts: ispack (<= 0.71)
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-dev
Suggests: ispack-doc
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 This package is metapackage to install libispack-dev.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_MAKE_INSTALL_TARGET := install
DEB_MAKE_CLEAN_TARGET := veryclean
DEB_INSTALL_DOCS_ispack-doc := sample
DEB_COMPRESS_EXCLUDE := .f .dat .F 
DEB_DH_INSTALL_SOURCEDIR := $(CURDIR)/debian/tmp

pre-build::
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/lib

clean::
	rm -f $(CURDIR)/debian/*.log

## ispack 0.93

=== debian/changelog ===
ispack (0.93-1) unstable; urgency=low

  * New Upstream version 0.93

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Jan 2011 19:28:34 +0900

=== debian/control ===
Source: ispack
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), gfortran, libopenmpi-dev, quilt
Standards-Version: 3.8.4
Homepage: http://www.gfd-dennou.org/arch/ispack/

Package: libispack-dev
Section: libdevel
Replaces: ispack (<= 0.71)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gfortran, libopenmpi-dev
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 This package provides static library.

Package: ispack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-dev
#Suggests: ispack-doc
Conflicts: ispack (<= 0.71)
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 This package is metapackage to install libispack-dev.

## ispack 0.96

=== sample/sjpack-test/Makefile ===
SHELL = /bin/sh

include ../../Mkinclude

LIBDIR = ../../
LIB = isp

clean:
	rm -f *.out
	rm -f *~
	
%-align.out: %-align.o %-align-sub.o
	$(FC) $(FFLAGS) $^ -L$(LIBDIR) -l$(LIB) -o $@
	
%.out: %.o
	$(FC) $(FFLAGS) $< -L$(LIBDIR) -l$(LIB) -o $@

=== debian/changelog ===
ispack (0.96-2) unstable; urgency=low

  * change ispack to metapackage

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 12 Sep 2011 23:49:05 +0900

ispack (0.96-1) unstable; urgency=low

  * Imported Upstream version 0.96

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 09 Sep 2011 14:29:33 +0900

ispack (0.95-1) unstable; urgency=low

  * Imported Upstream version 0.95
  * update rules, add fftw2 support

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 30 Aug 2011 17:54:07 +0900

ispack (0.931-1) unstable; urgency=low

  * New upstream version 0.931
  * add watch file
  * rebuild for gfortran/OpenMPI update

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 15 Mar 2011 00:21:05 +0900

=== debian/control ===
Source: ispack
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), gfortran, mpi-default-dev
Standards-Version: 3.9.2
Homepage: http://www.gfd-dennou.org/arch/ispack/

Package: libispack-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gfortran, mpi-default-dev, mpi-default-bin, liblapack-dev, fftw-dev,lapack
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 .
 This package provides static library and documents.

Package: ispack
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-dev
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 .
 This package is metapackage to install libispack-dev

=== debian/rules ===
#!/usr/bin/make -f

CC := /usr/bin/gcc
FC := /usr/bin/gfortran
MPIFC := /usr/bin/mpif77
FFLAGS := -g -O2 -fopenmp -fPIC -Wall
LIBNAME := libispack
LIBNAME_FFTW2 := libispack-fftw2
AS := /usr/bin/as
SSE := fort
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH), amd64)
	SSE := sse64
endif
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH), i386)
	SSE := sse32
endif
CPPFLAGS	= -DDIRECT -DIEEE -DASCII -DLEN -DET
CPPFLAGS_FFTW2	= -DDIRECT -DIEEE -DASCII -DLEN -DET -DFFTW2

ISPACK_COMMON_FLAGS := \
	FC="$(FC)" FFLAGS="$(FFLAGS)" \
	MPIFC="$(MPIFC)" MPIFFLAGS="$(FFLAGS)" \
	SSE="$(SSE)" AS="$(AS)"

%:
	dh $@ --buildsystem makefile

override_dh_auto_build:
	@echo "$(SSE)"
	dh_auto_build -- \
		$(ISPACK_COMMON_FLAGS) \
		CPPFLAGS="$(CPPFLAGS)" \
		LIBNAME=$(LIBNAME)
	$(MAKE) clean
	dh_auto_build -- \
		$(ISPACK_COMMON_FLAGS) \
		CPPFLAGS="$(CPPFLAGS_FFTW2)" \
		LIBNAME=$(LIBNAME_FFTW2)

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) veryclean
	rm -f libispack*.a

override_dh_compress:
	dh_compress -X.tex -X.f -X.dat -X.F

## ispack 1.0.0

=== .fftj/Makefile ===
#FC = g77 -O3
#CC = gcc
AS = as
AR = ar vru
#RM = rm -f
LIB = libfftj.a
#-------------------------------------------------------------
.SUFFIXES :
.SUFFIXES : .o .f .c .s
.f.o :
	$(FC) $(FFLAGS) -c $< -o $@
.c.o :
	$(CC) $(CFLAGS )-c $< -o $@
.s.o :
	$(AS) $< -o $@

DIRS = $(wildcard fft? fft?? fft??? fft???? rfft? rfft?? rfft??? rfft????)
OBJSFORT = env/fjgtad.o env/fjcini.o env/fjcrun.o env/fjrini.o env/fjrrun.o \
             $(foreach A, $(DIRS), $(addsuffix .o,\
               $(basename $(wildcard $(A)/*-fort.f))))
OBJS32 = env/fjgtad.o env/fjcini.o env/fjcrun-sse32.o \
         env/fjrini.o env/fjrrun-sse32.o \
            $(foreach A, $(DIRS), $(addsuffix .o,\
               $(basename $(wildcard $(A)/*-sse32.s $(A)/*-sse32.f))))
OBJS64 = env/fjgtad.o env/fjcini.o env/fjcrun-sse64.o \
         env/fjrini.o env/fjrrun-sse64.o \
            $(foreach A, $(DIRS), $(addsuffix .o,\
               $(basename $(wildcard $(A)/*-sse64.s $(A)/*-sse64.f))))

#-------------------------------------------------------------
clean:	
	@$(RM) $(OBJSFORT) $(OBJS32) $(OBJS64) \
	check bench check-align bench-align check-sub.o bench-sub.o \
	rcheck rbench rcheck-align rbench-align rcheck-sub.o rbench-sub.o 	

veryclean: clean 
	@$(RM) $(LIB) 

fort: $(OBJSFORT)
	$(RM) $(LIB) 
	$(AR) $(LIB) $(OBJSFORT)

sse32: $(OBJS32)
	$(RM) $(LIB) 
	$(AR) $(LIB) $(OBJS32)

sse64: $(OBJS64)
	$(RM) $(LIB) 
	$(AR) $(LIB) $(OBJS64)

avx: $(OBJS64)
	$(RM) $(LIB) 
	$(AR) $(LIB) $(OBJS64)

check: check.f $(LIB) check-sub.o
	$(FC) check.f check-sub.o -o check -L. -lfftj

check-align: check-align.f $(LIB) check-sub.o
	$(FC) check-align.f check-sub.o -o check-align -L. -lfftj

bench: bench.f $(LIB) bench-sub.o
	$(FC) bench.f bench-sub.o -o bench -L. -lfftj

bench-align: bench-align.f $(LIB) bench-sub.o
	$(FC) bench-align.f bench-sub.o -o bench-align -L. -lfftj

rcheck: rcheck.f $(LIB) rcheck-sub.o
	$(FC) rcheck.f rcheck-sub.o -o rcheck -L. -lfftj

rcheck-align: rcheck-align.f $(LIB) rcheck-sub.o
	$(FC) rcheck-align.f rcheck-sub.o -o rcheck-align -L. -lfftj

rbench: rbench.f $(LIB) rbench-sub.o
	$(FC) rbench.f rbench-sub.o -o rbench -L. -lfftj

rbench-align: rbench-align.f $(LIB) rbench-sub.o
	$(FC) rbench-align.f rbench-sub.o -o rbench-align -L. -lfftj

=== debian/changelog ===
ispack (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0
  * Enable Hardening, Add Shared Library package, Enable MultiArch support

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 12 Jun 2013 00:16:23 +0900

=== debian/control ===
Source: ispack
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9~), dpkg-dev (>= 1.16.1~), gfortran, mpi-default-dev, liblapack-dev, libblas-dev
Standards-Version: 3.9.4
Homepage: http://www.gfd-dennou.org/arch/ispack/

Package: libispack0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FORTRAN77 library for CFD - shared library
 ISPACK is a package of basic tools (Spectral transform,
 time-integration, I/O, etc.) as subroutines, which are required mainly
 for computations of simple fluid equations.
 .
 Because each subroutine is designed to be used independently, this
 library is not an integrated environment in which you can run numerical
 models without sufficient knowledge. How to combine and use these
 subroutines is up to users.
 .
 This package provide shared library

Package: libispack-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  gfortran, mpi-default-dev, liblapack-dev, libblas-dev
Description: Development Kit for ISPACK
 ISPACK is a package of basic tools (Spectral transform,
 time-integration, I/O, etc.) as subroutines, which are required mainly
 for computations of simple fluid equations.
 .
 Because each subroutine is designed to be used independently, this
 library is not an integrated environment in which you can run numerical
 models without sufficient knowledge. How to combine and use these
 subroutines is up to users.
 .
 This package provides static library and documents.

Package: libispack-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  libispack0 (= ${binary:Version})
Suggests: gdb
Description: ISPACK: detached debugging symbols
 ISPACK is a package of basic tools (Spectral transform,
 time-integration, I/O, etc.) as subroutines, which are required mainly
 for computations of simple fluid equations.
 .
 Because each subroutine is designed to be used independently, this
 library is not an integrated environment in which you can run numerical
 models without sufficient knowledge. How to combine and use these
 subroutines is up to users.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: ispack
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-dev
Description: FORTRAN77 library for CFD - metapackage
 ISPACK is a package of basic tools (Spectral transform,
 time-integration, I/O, etc.) as subroutines, which are required mainly
 for computations of simple fluid equations.
 .
 This metapackage installs entire suite of ISPACK

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SO := 0
MN := 0
VER := $(SO).$(MN)

FC := /usr/bin/gfortran
MPIFC := /usr/bin/mpif77
CC := /usr/bin/gcc
AS := as
FFLAGS += -fopenmp -fPIC
CFLAGS += -fopenmp -fPIC
LIBNAME := libispack
LIBNAME_MPI := libispack-mpi
SSE := fort
CPP := cpp
CPPFLAGS += -DDIRECT -DIEEE -DASCII -DLEN -DET

DESTDIR := $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
COMMON_FLAGS := \
	FC=$(FC) FFLAGS="$(FFLAGS)" \
	CC=$(CC) CFLAGS="$(CFLAGS)" \
	MPIFC=$(MPIFC) MPIFFLAGS="$(FFLAGS)" \
	CPP="$(CPP)" CPPFLAGS="$(CPPFLAGS)"

DIRS := appack bspack ftpack tdpack snpack sopack sppack
DIRS += flpack fepack fhpack c2pack p2pack p3pack dkpack
DIRS += u2pack pzpack ujpack sjpack
DIRS_MPI := $(DIRS) p3pack-mpi snpack-mpi sppack-mpi sopack-mpi sjpack-mpi

%:
	dh $@ --buildsystem makefile

override_dh_auto_build override_dh_auto_test:
override_dh_auto_install:
	mkdir -p $(DESTDIR)
	( cd $(CURDIR)/.fftj \
	  && $(MAKE) $(SSE) $(COMMON_FLAGS) )
	$(MAKE) $(COMMON_FLAGS) DIRS="$(DIRS)" LIBNAME="$(LIBNAME)"
	$(FC)  -shared -Wl,-soname=$(LIBNAME).so.$(SO) \
	  -o $(DESTDIR)/$(LIBNAME).so.$(VER) $(CURDIR)/*/src/*.o $(CURDIR)/.fftj/*/*.o \
	  -L. -L$(DESTDIR) -llapack -lblas $(LDFLAGS)
	install -m 644 $(CURDIR)/$(LIBNAME).* $(DESTDIR)/
	$(MAKE) $(COMMON_FLAGS) DIRS="$(DIRS_MPI)" LIBNAME="$(LIBNAME_MPI)"
	$(MPIFC) -shared -Wl,-soname=$(LIBNAME_MPI).so.$(SO) \
	  -o $(DESTDIR)/$(LIBNAME_MPI).so.$(VER) $(CURDIR)/*/src/*.o $(CURDIR)/.fftj/*/*.o \
	  -L. -L$(DESTDIR) -llapack -lblas $(shell $(MPIFC) --showme:link) $(LDFLAGS)
	install -m 644 $(CURDIR)/$(LIBNAME_MPI).* $(DESTDIR)/
	( cd $(DESTDIR); ln -s $(LIBNAME).so.$(VER) $(LIBNAME).so )
	( cd $(DESTDIR); ln -s $(LIBNAME).so.$(VER) $(LIBNAME).so.$(SO) )
	( cd $(DESTDIR); ln -s $(LIBNAME_MPI).so.$(VER) $(LIBNAME_MPI).so )
	( cd $(DESTDIR); ln -s $(LIBNAME_MPI).so.$(VER) $(LIBNAME_MPI).so.$(SO) )

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) veryclean
	rm -f $(CURDIR)/*.a

override_dh_compress:
	dh_compress -X.tex -X.f -X.dat -X.F

override_dh_strip:
	dh_strip --dbg-package=libispack-dbg

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

## ispack 1.0.2

=== sample/sjpack-test/Makefile ===
--- 
+++ 
@@ -8,10 +8,10 @@
 clean:
 	rm -f *.out
 	rm -f *~
-	
+
 %-align.out: %-align.o %-align-sub.o
 	$(FC) $(FFLAGS) $^ -L$(LIBDIR) -l$(LIB) -o $@
-	
+
 %.out: %.o
 	$(FC) $(FFLAGS) $< -L$(LIBDIR) -l$(LIB) -o $@

=== sjpack-cuda/src/Makefile ===
OBJS = sjw.o sjvs2g.o sjvg2s.o 
include ../../Mkinclude.sub

=== sjpack-mpi/src/Makefile ===
OBJS = ljpgau.o ljpini.o sjpini.o sjpg2s.o sjpgos.o 
include ../../Mkinclude.sub

=== debian/changelog ===
ispack (1.0.2-3) unstable; urgency=medium

  * Update metapackages

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 31 Jan 2014 20:39:06 +0900

ispack (1.0.2-2) unstable; urgency=medium

  * Bump Standard Version: 3.9.5

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 31 Jan 2014 18:02:54 +0900

ispack (1.0.2-1) unstable; urgency=medium

  * Imported Upstream version 1.0.2
  * Add local-options: unapply-patches
  * Add shlibs.local
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 15 Jan 2014 00:53:22 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: debhelper (>= 9~), dpkg-dev (>= 1.16.1~), gfortran, mpi-default-dev, liblapack-dev, libblas-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gfd-dennou.org/arch/ispack/
 
 Package: libispack0
@@ -67,11 +67,11 @@
  dumps.  Most people will not need this package.
 
 Package: ispack
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-dev
-Description: FORTRAN77 library for CFD - metapackage
+Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-dev (= ${binary:Version})
+Description: FORTRAN77 library for CFD - ISPACK metapackage
  ISPACK is a package of basic tools (Spectral transform,
  time-integration, I/O, etc.) as subroutines, which are required mainly
  for computations of simple fluid equations.

## ispack 1.0.4

=== Makefile ===
#
#       Makefile for ispack
#

include Mkinclude

all:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  echo "Making $$i/src" ; \
	  $(MAKE) ; \
	  cd ../.. ; \
	done
	cd .fftj;$(MAKE) $(SSE);cd ..
	$(AR) $(ARFLAGS) $(STATICLIB) */src/*.o .fftj/*/*.o
	$(RANLIB) $(STATICLIB)

clean:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  echo "Cleaning $$i/src" ; \
	  $(MAKE) clean ; \
	  cd ../.. ; \
	done
	cd .fftj; $(MAKE) clean	

veryclean: clean
	echo "Cleaning lib"
	$(RM) $(STATICLIB)
	$(RM) *~
	$(RM) */*~
	$(RM) */*/*~
	$(RM) */*/*.dat
	$(RM) */*/*.out	
	$(RM) */doc/*.dvi
	$(RM) */doc/*.log	
	$(RM) */doc/*.aux
	cd .fftj; $(MAKE) veryclean

=== .fftj/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 .f.o :
 	$(FC) $(FFLAGS) -c $< -o $@
 .c.o :
-	$(CC) $(CFLAGS )-c $< -o $@
+	$(CC) $(CFLAGS) -c $< -o $@
 .s.o :
 	$(AS) $< -o $@

=== appack/src/Makefile ===
OBJS = aptime.o apgtad.o apalgn.o aprand.o apnorm.o
include ../../Mkinclude.sub

=== c2pack/src/Makefile ===
OBJS = c2init.o c2s2ga.o c2g2sa.o c2ajbs.o c2ajcb.o c2ajc2.o c2ajb2.o \
       c2swnl.o c2swck.o c2swbl.o c2swnn.o
include ../../Mkinclude.sub

=== fepack/src/Makefile ===
OBJS = fepack.o
TMPSRC = fepack.f
include ../../Mkinclude.sub

=== flpack/src/Makefile ===
OBJS = flpack.o
include ../../Mkinclude.sub

=== ftpack/src/Makefile ===
OBJS = ftdmsg.o ftr.o ftz.o ftct.o ftst.o ftcm.o ftsm.o
include ../../Mkinclude.sub

=== p3pack/src/Makefile ===
OBJS = p3init.o p3s2ga.o p3g2sa.o p3elnl.o p3cnsv.o p3espt.o p3getu.o p3geto.o
include ../../Mkinclude.sub

=== p3pack/srcbak/Makefile ===
OBJS = p3init.o p3s2ga.o p3g2sa.o p3ajbs.o p3cnsv.o p3getu.o p3geto.o
include ../../Mkinclude.sub

=== p3pack/srcbak2/Makefile ===
OBJS = p3init.o p3s2ga.o p3g2sa.o p3elnl.o p3cnsv.o p3getu.o p3geto.o
include ../../Mkinclude.sub

=== pzpack/src/Makefile ===
OBJS = pzinit.o pzs2ga.o pzg2sa.o pzajbs.o pzswnl.o pzswnn.o pzswbl.o \
       pzswck.o pzajcb.o
include ../../Mkinclude.sub

=== sample/2D-channel/Makefile ===
SHELL = /bin/sh

include ../../Mkinclude

LIBDIR = ../../
LIB = isp

.SUFFIXES: .f .o .out

clean:
	rm -f *.out
	rm -f *~

.f.out:
	$(DCLFRT) $(FFLAGS) $< -L$(LIBDIR) -l$(LIB)  \
	-o $@

=== debian/changelog ===
ispack (1.0.4-9+0~20200407101109.16~1.gbp6cce03) unstable; urgency=medium

  ** SNAPSHOT build @6cce031113391f5958cf83d66009f24bb762c37f **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Tue, 07 Apr 2020 19:11:09 +0900

ispack (1.0.4-9) unstable; urgency=medium

  * d/control: Add zlib1g-dev into Build-Depends

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 07 Apr 2020 19:03:55 +0900

ispack (1.0.4-8) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Drop compat file, rely on debhelper-compat and bump compat level to 12
  * Add d/control: Add Rules-Requires-Root

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 07 Apr 2020 18:49:44 +0900

ispack (1.0.4-7) unstable; urgency=medium

  * d/control: Bump Standard-Version 4.2.1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 26 Oct 2018 11:28:51 +0900

ispack (1.0.4-6) unstable; urgency=medium

  * Add ldconfig triggers for jessie
  * Drop dbg package
  * Wrap and sort Build-Depends
  * Bump Standard version: 3.9.8

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 27 Nov 2016 13:23:08 +0900

ispack (1.0.4-5) unstable; urgency=medium

  * Rebuild against newer OpenMPI
  * Drop debian/libispack0.symbols for backports

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 30 Jan 2016 23:21:52 +0900

ispack (1.0.4-3) unstable; urgency=medium

  * Update description: Cosmetic

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Aug 2015 18:04:13 +0900

ispack (1.0.4-2) unstable; urgency=medium

  * Update symbols

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 18 Aug 2015 11:52:51 +0900

ispack (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * Drop patches, Update CPPFLAGS
  * Add symbols file
  * Add FFLAGS
  * Bump Standard Version: 3.9.6

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 01 Jul 2015 22:45:49 +0900

=== debian/control ===
Source: ispack
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 12),
	dpkg-dev (>= 1.16.1~),
	zlib1g-dev,
	gfortran,
	mpi-default-dev,
	liblapack-dev,
	libblas-dev
Standards-Version: 4.5.0
Homepage: http://www.gfd-dennou.org/arch/ispack/
Rules-Requires-Root: no

Package: ispack
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-dev (= ${binary:Version})
Description: FORTRAN77 library for CFD - ISPACK
 ISPACK is a package of basic tools (Spectral transform,
 time-integration, I/O, etc.) as subroutines, which are required mainly
 for computations of simple fluid equations.
 .
 Because each subroutine is designed to be used independently, this
 library is not an integrated environment in which you can run numerical
 models without sufficient knowledge. How to combine and use these
 subroutines is up to users.
 .
 This metapackage installs entire suite of ISPACK

Package: libispack0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FORTRAN77 library for CFD - shared library
 ISPACK is a package of basic tools (Spectral transform,
 time-integration, I/O, etc.) as subroutines, which are required mainly
 for computations of simple fluid equations.
 .
 Because each subroutine is designed to be used independently, this
 library is not an integrated environment in which you can run numerical
 models without sufficient knowledge. How to combine and use these
 subroutines is up to users.
 .
 This package provide shared library

Package: libispack-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  gfortran, mpi-default-dev, liblapack-dev, libblas-dev
Description: FORTRAN77 library for CFD - static library
 ISPACK is a package of basic tools (Spectral transform,
 time-integration, I/O, etc.) as subroutines, which are required mainly
 for computations of simple fluid equations.
 .
 Because each subroutine is designed to be used independently, this
 library is not an integrated environment in which you can run numerical
 models without sufficient knowledge. How to combine and use these
 subroutines is up to users.
 .
 This package provides static library and documents.

=== debian/watch ===
version=3
http://www.gfd-dennou.org/library/ispack/ ispack-([0-9].*)\.tar\.gz
